# Note that this is NOT a relocatable package
%define ver      1.0.1
%define rel      1
%define prefix   /usr

Summary:   Alizarin Tetris Sound Files
Name:      atris-sounds
Version:   %ver
Release:   %rel
Copyright: GPL
Group:     Amusements/Games
Source:    http://www.cs.berkeley.edu/~weimer/atris/atris-sounds-%{PACKAGE_VERSION}.tar.gz
#Source0:   atris-sounds-%{PACKAGE_VERSION}.tar.gz
URL:       http://www.cs.berkeley.edu/~weimer/atris/
BuildRoot: /tmp/atris-sounds-%{PACKAGE_VERSION}-root
Packager:  Wes Weimer <weimer@cs.berkeley.edu>

Requires:  atris

%description
Alizarin Tetris is a tetris clone with a twist: tiles with similar colors 
merge together. This package contains many nifty sound effects styles
for use with the game. Play by yourself, with a friend, across the network
or against the AI. 
Written by Kiri Wagstaff and Wes Weimer <weimer@cs.berkeley.edu>

%prep

%setup

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-, root, root)
%doc COPYING* README* AUTHORS* NEWS ChangeLog INSTALL
%{prefix}/games/atris

%changelog
* Sat Oct 28 2000 Wes Weimer <weimer@cs.berkeley.edu>

- first attempt at a spec file

